Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IUserContext

All Superinterfaces
  INillable

All Known Subinterfaces:
  IBaseRequestContext, IBlockingInteractionBaseRequestContext, IBlockingInteractionRequestContext, IGetMarkupBaseRequestContext, IGetMarkupRequestContext, IGetRenderDependenciesRequestContext, IGetResourceRequestContext, IHandleEventsRequestContext, IInitCookieRequestContext, IReleaseSessionsRequestContext

    public interface IUserContext

extends INillable

Represents data of the "userContext" element, which is described in the WSRP specification.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getUserContextKey()` A token to identify a user.
`IUserProfile` | `getUserProfile()` An optional profile data of the current user.
`void` | `setUserContextKey(String userContextKey)`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Method Detail

### getUserContextKey

    String getUserContextKey()

  A token to identify a user.

  Returns
    a token that identifies an user.

### setUserContextKey

    void setUserContextKey(String userContextKey)

### getUserProfile

    IUserProfile getUserProfile()

  An optional profile data of the current user.

  Returns
    the current user's profile data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.